Debian Bug report logs - #63995
bugs.debian.org reveals e-mail addresses to spammers

Package: bugs.debian.org; Maintainer for bugs.debian.org is Debian Bug Tracking Team <owner@bugs.debian.org>;

Reported by: sacrificial-spam-address@horizon.com

Date: Fri, 12 May 2000 06:05:16 UTC

Severity: wishlist

Tags: wontfix

Merged with 170334, 203623, 269139, 450567, 458943

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham):
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to sacrificial-spam-address@horizon.com:
New Bug report received and forwarded. Copy sent to owner@bugs.debian.org (Darren O. Benham). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sacrificial-spam-address@horizon.com
To: submit@bugs.debian.org
Subject: bugs.debian.org reveals e-mail addresses to spammers
Date: 12 May 2000 05:15:00 -0000
Package: bugs.debian.org
Version: 2.3

A positive disinducement to report bugs is the fact that the automated
replies don't work with spam-resistant addresses, and the addresses
are made available for public harvesting at, e.g.

http://www.debian.org/Bugs/db/ix/full.html

It's rather a pain to set up a new mailbox just for bug reporting.



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham):
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham). Full text and rfc822 format available.

Message #10 received at 63995@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 63995-submitter@bugs.debian.org, 63995@bugs.debian.org
Subject: Re: bugs.debian.org reveals e-mail addresses to spammers
Date: Mon, 2 Oct 2000 20:53:03 +0200
Hi,

> Package: bugs.debian.org
> Version: 2.3
> 
> A positive disinducement to report bugs is the fact that the automated
> replies don't work with spam-resistant addresses, and the addresses
> are made available for public harvesting at, e.g.
> 
> http://www.debian.org/Bugs/db/ix/full.html
> 
> It's rather a pain to set up a new mailbox just for bug reporting.

The bug tracking system is based on e-mail, and on correct e-mail addresses.
I don't think we can't just hide any of the e-mails or wrap them up somehow
to protect people from spam.

We could remove the indices and leave only forms for searching for specific
entries in the BTS, but I guess some people would object to that... if they
exist in the first place, they must be useful to someone. (excluding
spammers, of course)

-- 
Digital Electronic Being Intended for Assassination and Nullification



Message sent on to sacrificial-spam-address@horizon.com:
Bug#63995. Full text and rfc822 format available.

Acknowledgement sent to sacrificial-spam-address@horizon.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 63995-quiet@bugs.debian.org (full text, mbox):

From: sacrificial-spam-address@horizon.com
To: 63995-quiet@bugs.debian.org, joy@cibalia.gkvk.hr
Subject: Re: Bug#63995: bugs.debian.org reveals e-mail addresses to spammers
Date: 2 Oct 2000 19:23:35 -0000
>> Package: bugs.debian.org
>> Version: 2.3
>> 
>> A positive disinducement to report bugs is the fact that the automated
>> replies don't work with spam-resistant addresses, and the addresses
>> are made available for public harvesting at, e.g.
>> 
>> http://www.debian.org/Bugs/db/ix/full.html
>> 
>> It's rather a pain to set up a new mailbox just for bug reporting.

> The bug tracking system is based on e-mail, and on correct e-mail addresses.
> I don't think we can't just hide any of the e-mails or wrap them up somehow
> to protect people from spam.

> We could remove the indices and leave only forms for searching for specific
> entries in the BTS, but I guess some people would object to that... if they
> exist in the first place, they must be useful to someone. (excluding
> spammers, of course)

Um, you could do like some commercial mailing list systems I've seen do... partially
obscure the addresses that are published (perhaps turning "person@host.dom.ain"
into "person@h...d...a..") and then having a link that's hard for a robot to follow
(like a form submit button, or even an "authorization required" that'll accept
anything as a username/password) to get at the unmasked data.

I don't think it's a lucrative enough target for a spammer to write a custom
harvesting script.

What do you think?



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham):
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Belew <frb@auric.debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham). Full text and rfc822 format available.

Message #21 received at 63995@bugs.debian.org (full text, mbox):

From: Frank Belew <frb@auric.debian.org>
To: 63995@bugs.debian.org
Subject: Die Spam Die
Date: Mon, 2 Oct 2000 15:41:08 -0400
From: Frank Belew <frb@debian.org>

I agree that something has to be done, I was quite happy living in an ideal 
world with only 1 spam a month until I started filing bugs, and now that
I maintain a package, I''m getting at least 1 spam per day on my relatively 
private mail accounts




Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others):
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jens Müller <jens@unfaehig.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others). Full text and rfc822 format available.

Message #26 received at 63995@bugs.debian.org (full text, mbox):

From: Jens Müller <jens@unfaehig.de>
To: 63995@bugs.debian.org
Subject: Alright like it is
Date: Sat, 17 Feb 2001 00:32:50 +0100
I don't think that anything needs to be done.

When people think that they want to invent invalid email addresses let
them. But they shouldn't complain that they are unable to use a system
which relies on valid addresses.

It's the same with the Usenet. I post with my real address, and I get
approx. 1-2 spam mails a day. I report them to abuse, and that's it.

I think that (reporting to abuse) is what the bug submitter should do,
too.

-- 
"When I have been asked who caused the riots and the killing in LA, my answer
has been direct & simple: Who is to blame for the riots? The rioters are to
blame. Who is to blame for the killings? The killers are to blame."
 - George W. Bush




Severity set to `wishlist'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 63995 170334. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Adam M. Costello" <bug.amc+3@nicemice.net>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 63995@bugs.debian.org (full text, mbox):

From: "Adam M. Costello" <bug.amc+3@nicemice.net>
To: Debian Bug Tracking System <63995@bugs.debian.org>
Subject: Re: Alright like it is
Date: Sat, 23 Nov 2002 00:28:05 +0000
Followup-For: Bug #63995
Package: bugs.debian.org
Version: N/A; reported 2002-11-23

jens@unfaehig.de wrote:

> It's the same with the Usenet. I post with my real address, and I get
> approx. 1-2 spam mails a day. I report them to abuse, and that's it.
>
> I think that (reporting to abuse) is what the bug submitter should do,
> too.

That's what I used to do, until it grew to 10-20 spams per day, and it
just got too tiring.  Now I use disposable email addresses, which I
disable the first time they receive spam.  But that's a good solution
only if it is rare for spammers to discover the new addresses, which is
not true if they are posted on the web.

The debbugs software already needs to transform angle brackets and
ampersands to &lt; and &gt; and &amp; when displaying plain text on the
web, so it would be easy to add another transformation for at-signs,
changing them to:

<!--
no spam
-->&#64;<!--
no spam
-->

That is perfectly valid HTML that will display as "@", so the
transformation would go completely unnoticed by users, but it contains
comments, line breaks, and entity references that might (hopefully)
confuse the automatic address harvesters.

This transformation would be safe to apply to *all* at signs (not
just the ones in email addresses) when displaying plain text in HTML,
because it doesn't really change anything.  Therefore a very simple
implementation is possible.  (Alternatively, it could be done only in
certain fields known to contain email addresses, but that would be much
trickier to implement.)

Another approach would be to change the at signs to " at ". That might
be more effective at frustrating the robots (I don't know), but it would
also be visible to users, and it would have to be done only in email
addresses, not in other text.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux arwen 2.4.19 #2 SMP Fri Nov 22 02:47:50 GMT 2002 i686
Locale: LANG=en_US, LC_CTYPE=en_US



Merged 63995 170334 203623. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath and others <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Johnson <baloo@ursine.ca>:
Extra info received and forwarded to list. Copy sent to Adam Heath and others <owner@bugs.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #42 received at 63995@bugs.debian.org (full text, mbox):

From: Paul Johnson <baloo@ursine.ca>
To: 63995@bugs.debian.org
Date: Sat, 30 Aug 2003 04:41:53 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm rather inclined to believe that this is not an issue.  There's
many solutions to dealing with the spam problem other than pretending
it doesn't exist, which is what munging amounts to.

http://spamcop.net/
http://www.interhack.net/pubs/munging-harmful/

- -- 
 .''`.     Paul Johnson <baloo@ursine.ca>
: :'  :    
`. `'`     proud Debian admin and user
  `-  Debian - when you have better things to do than fix a system
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/UI2BUzgNqloQMwcRAt3xAKDdQ1Rhin3+tMEL2rVBdYkw6x+NWwCffrld
9qy2V2JigvqlOfP5qKcsF1M=
=R6eN
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath and others <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "dnk0h@yahoo.com" <dnk0h@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Adam Heath and others <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #47 received at 63995@bugs.debian.org (full text, mbox):

From: "dnk0h@yahoo.com" <dnk0h@yahoo.com>
To: 63995@bugs.debian.org
Subject: 63995: Holy spam batman! let's protect email addresses on bugs.debian.org
Date: Sun, 28 Mar 2004 16:44:51 -0800 (PST)
see also: 203623, 170334 (were merged with 63995)

63995 was first submitted nearly 4 years ago. was a
good idea then, and 
still is today. probably even more important now with
spam accounting 
for more than half the world's email today. in fact,
over the last 24 
hours, 82.6% of messages processed by my corp network
spam/virus 
filtering service is spam! (that's 10 of 12 folks!).
(source: 
www.postini.com on 28 Mar 2004)

not long ago, i created a brand new email account
using basically some 
random characters for a username, specifically for
communication with 
bugs.debian.org. a google search when i created the
account did not 
return any results on the string, except for a sole
usenet message from 
a couple years ago (the string was present in a PGP
encrypted message).

this email address has and will only be used for
communications with 
debian.org, so all spam and viruses received at it are
a direct result 
of participating in the debian.org community (i use
another address for 
third-party debian sites).

within 12 hours of first email to bugs.debian.org the
spam and 
(windows-based) viruses began to roll in. this from
*two* emails to 
bugs.debian.org.

i completely agree with the need (expressed here and
elsewhere) to 
develop a server-side way to protect email addresses
contained within 
bug reports from spammers' spiders.

some sort of server-side authentication method that
permits only debian 
"authorized" persons (qa, administrators, package
maintainers and 
developers) and those who have contributed to a bug
report to access 
email addresses contained in one.

the presentation of email addresses in copies of
reports posted to 
usenet needs to be addressed too. perhaps the code
that publishes them 
via usenet could remove the email addresses and
replace it with a 
bitbucket@debian.org instead. wont stop the collection
of email 
addresses already within google's archive, but ya
gotta start somewhere.

people who read them know how to respond to bug
reports properly and 
others could be directed to the web site for
instructions via an 
automatically inserted footer note.

spammers aren't going to go away anytime soon, and
legislation against 
them is pretty much worthless.. so why are we helping
those low-lifes?


__________________________________
Do you Yahoo!?
Yahoo! Finance Tax Center - File online. File on time.
http://taxes.yahoo.com/filing.html



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath and others <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <walles@mailblocks.com>:
Extra info received and forwarded to list. Copy sent to Adam Heath and others <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #52 received at 63995@bugs.debian.org (full text, mbox):

From: Johan Walles <walles@mailblocks.com>
To: 63995@bugs.debian.org
Subject: This discussion is mostly off-topic
Date: Sat, 28 Aug 2004 01:42:41 -0700
The only question relevant to this issue is:

"Will munging e-mail addresses make Debian users more likely or less 
likely to report issues?"

Obviously there are users who are reluctant to report bugs as long as 
e-mail addresses are not munged.

I'd be quite surprized if there are people who would quit reporting 
bugs if bugs.debian.org started munging addresses.

So IMO, munging addresses would make Debian users more likely to report 
problems.  This is the whole point of having a bug tracking system.

 //Johan


----------------------------------------------
Mailblocks - A Better Way to Do Email
http://about.mailblocks.com/info




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath and others <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Blars Blarson <blarson@blars.org>:
Extra info received and forwarded to list. Copy sent to Adam Heath and others <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #57 received at 63995@bugs.debian.org (full text, mbox):

From: Blars Blarson <blarson@blars.org>
To: walles@mailblocks.com
Cc: 63995@bugs.debian.org
Subject: Re: Bug#63995: This discussion is mostly off-topic
Date: Sat, 28 Aug 2004 16:57:42 -0700
In article <walles-0Ad4LAhVVUKAgOS7XKPSi+yBbCVKbtt@mailblocks.com> you write:
>The only question relevant to this issue is:
>
>"Will munging e-mail addresses make Debian users more likely or less 
>likely to report issues?"

No, the question should be: 
Will this make Debian better?

Getting more bug reports from random people who cannot be contacted
will not do this.  This contact could not only come from the package
maintainer, but from any DD, anyone on the NM queue, or just someone
who wants to help.

Note that I have contacted bug submitters and figured out what their
problem was and how they could fix thier system before I even entered
the NM queue.

Making things difficult for the people trying to fix the bugs is not
the answer.
-- 
Blars Blarson			blarson@blars.org
				http://www.blars.org/blars.html
With Microsoft, failure is not an option.  It is a standard feature.



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath and others <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <walles@mailblocks.com>:
Extra info received and forwarded to list. Copy sent to Adam Heath and others <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #62 received at 63995@bugs.debian.org (full text, mbox):

From: Johan Walles <walles@mailblocks.com>
To: blarson@blars.org
Cc: 63995@bugs.debian.org
Subject: Re: Bug#63995: This discussion is mostly off-topic
Date: Sat, 28 Aug 2004 23:37:51 -0700
-----Original Message-----
> From: Blars Blarson <blarson@blars.org>
>
> In article <walles-0Ad4LAhVVUKAgOS7XKPSi+yBbCVKbtt@mailblocks.com> 
you write:
> >The only question relevant to this issue is:
> >
> >"Will munging e-mail addresses make Debian users more likely or less
> >likely to report issues?"
>
> No, the question should be:
> Will this make Debian better?

Fine by me.

> Getting more bug reports from random people who cannot be contacted
> will not do this.

Definitely agreed, but how would munging e-mail addresses on the web 
pages do this?  If your e-mail address is written as "blarson at 
blars.org" rather than "blarson@blars.org", most people would still be 
able to contact you.

If b.d.o would implement the suggestion on replacing all @s with HTML 
code expanding into identical @s, anybody using a web browser to view 
the page would see your address as "blarson@blars.org" rather than 
"blarson@blars.org".  I don't see how that would make you 
un-contactable either.

 Regards //Johan


----------------------------------------------
Mailblocks - A Better Way to Do Email
http://about.mailblocks.com/info




Merged 63995 170334 203623 269139. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #71 received at 63995@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Debian Bug Tracking System <63995@bugs.debian.org>
Subject: bugs.debian.org: Why the uncompromising, unfounded by argument stance?
Date: Sat, 06 Aug 2005 19:27:28 +0200
Package: bugs.debian.org
Followup-For: Bug #63995

Hi,

many people have reported this to be an issue for them.  Quite a few of
them quit writing bug reports.  I really do not understand why the
maintainers of bdo blatantly ignore this problem when solutions have
been put forward that do not impact upon contactability while
restraining the thugs at least to a certain extent.  The @ is still
unmasked in the web pages.  I take this as a sign that the Debian
organization disrespects my and others right to privacy.  Again there is
NO loss whatsoever from doing this.  The last message from Johan Walles
has just been ignored.

In light of the current situation, I also think that the absolute,
uncompromising stance in favor of publication of mail addresses vs.
privacy needs discussion and revision.  There is a trade-off but an 
absolute stance in most situations will be unbalanced.  

The situation of unmasked @ on the website where this is not even a
trade-off is just an affront!

Regards

Rolf Leggewie



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <walles@mailblocks.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #76 received at 63995@bugs.debian.org (full text, mbox):

From: Johan Walles <walles@mailblocks.com>
To: don@debian.org
Cc: 63995@bugs.debian.org, owner@bugs.debian.org
Subject: Why did you "wontfix" bug 63995?
Date: Tue, 23 Aug 2005 23:16:07 -0700
Don,

recently you tagged bug 63995 "bugs.debian.org reveals e-mail addresses 
to spammers" with a comment saying "YEAY STUPID DON'T SHOW MY EMAIL 
MEME!".

As I don't think that comment really deals with the solutions suggested 
in the bug report, I'd appreciate it a lot if you could come up with a 
better explanation and CC it to 63995.

Specifically, I'd appreciate it if you could respond to the message 
from Adam M. Costello, posted Sat, 23 Nov 2002 00:28:05 +0000.

 Thanks //Johan


----------------------------------------------
Mailblocks - A Better Way to Do Email
http://about.mailblocks.com/info




Information forwarded to debian-bugs-dist@lists.debian.org, Johan Walles <walles@mailblocks.com>, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Johan Walles <walles@mailblocks.com>, Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #81 received at 63995@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 63995@bugs.debian.org
Subject: Re: Why did you "wontfix" bug 63995?
Date: Wed, 24 Aug 2005 01:24:31 -0700
Why did you "wontfix" bug 63995?

Because it won't be fixed.

On Tue, 23 Aug 2005, Johan Walles wrote:
> recently you tagged bug 63995 "bugs.debian.org reveals e-mail
> addresses to spammers" with a comment saying "YEAY STUPID DON'T SHOW
> MY EMAIL MEME!".
>
> As I don't think that comment really deals with the solutions
> suggested in the bug report, I'd appreciate it a lot if you could
> come up with a better explanation and CC it to 63995.

The solution (namely, turning @ into <!-- blah -->&#64<!-- blah --> is
a needless obfuscation that isn't going to actually net us anything.

Not to mention the fact that this is absolutely trivial for anyone
harvesting messages to circumvent, the actual e-mail addresses are
made available to multiple mailing lists, and far more useful methods
exist for dealing with the "spam problem". [And no, we're definetly
not going to be munging the e-mail addresses present in the mboxes.]

See also the thousands of messages that have been expended on similar
arguments regarding lists.debian.org.


Don Armstrong

-- 
[this space for rent]

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nicola Manini <Nicola.Manini@mi.infn.it>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #86 received at 63995@bugs.debian.org (full text, mbox):

From: Nicola Manini <Nicola.Manini@mi.infn.it>
To: 63995@bugs.debian.org
Subject: comment in support to Don
Date: Fri, 23 Mar 2007 11:21:38 +0100
Hello,
	it makes me smile to read the first requests, dated back in the good old times 
when people found it disturbing to receive 1 spam/day (and bug numbers still 
fitted 5 digits...).
My company's spam-killer has moved to /dev/null as many as 4512 messages to my 
address since Jan 8 2007, i.e. an average 61/day.  About 3 to 6 more come 
through and I need to delete myself every day.
Still, Paul Johnson & Don Armstrong are perfecly right with wontfix.
It's no solution to pretend that simple tricks such as those suggested here 
could protect e-mail addresses in any durable way.
With spammers around, an address can run but can't hide...	;-(
Nowadays most anti-spamming activity is implemented at router level, and there 
is not much point avoiding one's e-mail to appear on the www: it will anyway 
soon or later.
Best,
	Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to debbug.spambts@sub.noloop.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #91 received at 63995@bugs.debian.org (full text, mbox):

From: debbug.spambts@sub.noloop.net
To: 63995@bugs.debian.org
Subject: Please reconsider this bug
Date: Thu, 19 Jul 2007 21:29:11 +0200
Hello. I'm just a regular Debian user, but please reconsider doing
something about the distribution of bug reporters' email addresses,
at least through the web interface.

It has gotten so bad that the turnaround between reporting a bug through
'reportbug' with a brand new email-address and receiving spam is now
less than 5 hours:

(reporting the bug)
Jul 19 16:07:39 chaos postfix/qmgr[9820]: E0F89EAC19B: from=<debbug.lighttpd@sub.noloop.net>, size=2443, nrcpt=2 (queue active)
Jul 19 16:07:42 chaos postfix/smtp[12686]: E0F89EAC19B: to=<submit@bugs.debian.org>, relay=bugs.debian.org[140.211.166.43]:25, delay=5.7, delays=1.9/0.68/2.4/0.68, dsn=2.0.0, status=sent (250 OK id=1IBWfO-0007x1-DK)

(being spammed. also note that they are spamming another account I used
a couple of days ago for another bug, which I had to close)
Jul 19 20:59:49 chaos postfix/smtpd[13768]: connect from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:49 chaos postfix/smtpd[13769]: connect from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:50 chaos postfix/smtpd[13769]: NOQUEUE: reject: RCPT from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]: 554 5.7.1 <debbug.mddev@sub.noloop.net>: Recipient address rejected: This address is no longer in service due to excessive incoming spam. Try debbug.mddev2@sub.noloop.net; from=<Admin@growthstockguru.com> to= <debbug.mddev@sub.noloop.net> proto=SMTP helo=<growthstockguru.com>
Jul 19 20:59:50 chaos postfix/smtpd[13768]: 40A95EAC114: client=pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:50 chaos postfix/smtpd[13769]: lost connection after RCPT from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:50 chaos postfix/smtpd[13769]: disconnect from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:50 chaos postfix/cleanup[13772]: 40A95EAC114: message-id=<6a412bcd7ef9814c24419a8522037ad7@growthstockguru.com>
Jul 19 20:59:51 chaos postfix/qmgr[9820]: 40A95EAC114: from=<Admin@growthstockguru.com>, size=22098, nrcpt=1 (queue active)
Jul 19 20:59:51 chaos postfix/smtpd[13768]: disconnect from pool-71-185-3-230.phlapa.east.verizon.net[71.185.3.230]
Jul 19 20:59:51 chaos postfix/local[13773]: 40A95EAC114: to=<......................>, orig_to=<debbug.lighttpd@sub.noloop.net>, relay=local, delay=1.9, delays=1.5/0.19/ 0/0.25, dsn=2.0.0, status=sent (delivered to command: procmail -a "$EXTENSION")

It is fairly obvious that someone is aggressively and automatically 
sourcing spam targets from your bug tracker.

Even with RBLs, spamassassin etc. it's becoming difficult to protect
against spam due to the way "modern" spam mails are formatted.

Of course nothing will prevent a dedicated attacker from writing a bot,
but simple random munging of the HTML sounds like a cheap way to at
least slow them down a bit.

Thanks in advance.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #96 received at 63995@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 63995@bugs.debian.org
Subject: another plea and an idea for protection against spam
Date: Mon, 20 Aug 2007 21:25:40 +0300
[Message part 1 (text/plain, inline)]
Hello,

It has been more than 7 years since this bug was opened and it seems to me that this problem hasn't been addressed in
any way in Debian.

I would really like to see at least the trivial obfuscation that Adam M. Costello proposed in [1]. AFAICT there is no
disadvantage to his proposal and it could slow down spam.

Also saying that there will be people doing directed attacks to the BTS so there is no point in trying to hide emails is
like saying that since there will be at some point a thief breaking into a house anyway, you shouldn't try to put any
kind of lock on it anyway.

I am all for the openness policy of Debian, but this affects privacy in a really bad way.



I would also like to propose another solution for this problem. What if there is an authentication method added to bts
that, when used allows people to view the full details of people, emails and things like that, but, when somebody
browses as a guest, the email addresses are obfuscated? People interested in reporting can authenticate and use the
system like they do now. People wanting to browse the issues can view all the information they need (the bug no-s and
adresses should not be obfuscated in any case).

This way spam can be kept under some acceptable values...


Please reconsider implementing this feature.


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=35;bug=63995

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Message #99 received at 63995@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 63995@bugs.debian.org
Subject: spamtraps to protect debbugs mail addresses
Date: Tue, 28 Aug 2007 17:18:30 +0200
[Message part 1 (text/plain, inline)]
[bcc to all contributors to #63995]

also sprach Don Armstrong <don@debian.org> [2005.08.24.1024 +0200]:
> The solution (namely, turning @ into <!-- blah -->&#64<!-- blah --> is
> a needless obfuscation that isn't going to actually net us anything.

I agree with this (even though the approach works for me beautifully).

I've had major success with postfix spamtraps. The basic idea:

  for each address foo@bar.com, add foo1@bar.com (where 1 could be
  anything that's not going to be in regular email addresses; I use
  .tarpit) to whatever webpage.

  on the postfix side, add a PCRE or regexp map entry to
  check_recipient_access:

    /^.+\.bogus@/              DISCARD is a tarpit (explicit)

  profit.

The theory: spammers harvest addresses and foo@bar.com and
foo1@bar.com are so close together that they are likely to be in the
same batch of mail sent out. Now if postfix receives
a multi-recipient mail, where foo1@bar.com is one of the recipients,
it discards the whole mail.

Look at http://blog.madduck.net how I worked this in with HTML.

I guess one advantage of this is that everyone could do this
themselves, if they have a mail server they admin.

I'd love for @debian.org addresses to do something similar, e.g.
madduck_this-address-a-trap-DONT-USE@debian.org.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #104 received at 63995@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: 63995@bugs.debian.org
Subject: <meta name="no-email-collection"> and projecthoneypot.org
Date: Sat, 27 Oct 2007 21:47:02 -0500
[Message part 1 (text/plain, inline)]
Hi,

I think b.d.o should at least send a no-email-collection meta tag on every 
page. 
The projecthoneypot.org project attempts to identify email harvesters (not 
spammers) by generating unique email addresses which mach the IP of the 
visitor and hides these addresses from human visitors.
This is done so only non-human visitors (e.g. harvesters) find 
the "identifier" (the unique email address) and send spam to it and thus 
identifying who the harvester is.

At projecthoneypot.org there are some pages[1][2][3] providing useful 
information.

I would also recommend the installation of a honeypot at b.d.o so we help this 
project. If this meassure is taken, there are two possible things that may 
occur: 
1.- Harvesters are detected and possibly blocked by making use of 
projecthoneypot's http:BL API[4]
2.- Harvesters understand it won't do any good to them grabbing emails from 
b.d.o and make their bots skip b.d.o

[1] http://www.projecthoneypot.org/how_to_avoid_spambots_5.php
[2] http://www.projecthoneypot.org/honey_pot_example.php
[3] http://www.projecthoneypot.org/faq.php#c
[4] http://www.projecthoneypot.org/httpbl_api

-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 63995 170334 203623 269139 450567. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 20:21:06 GMT) Full text and rfc822 format available.

Forcibly Merged 63995 170334 203623 269139 450567 458943. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 03 Jan 2008 20:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #113 received at 63995@bugs.debian.org (full text, mbox):

From: "Anon Sricharoenchai" <anon.hui@gmail.com>
To: 63995-submitter@bugs.debian.org, 63995@bugs.debian.org
Cc: anon.hui@gmail.com
Subject: Re: bugs.debian.org reveals e-mail addresses to spammers
Date: Wed, 30 Apr 2008 11:05:33 +0700
[Message part 1 (text/plain, inline)]
Another solution is to implement CAPTCHA to protect email addresses, or any
mbox's raw data.
Something like what implemented in googlegroups web interface.
[Message part 2 (text/html, inline)]

Message sent on to sacrificial-spam-address@horizon.com:
Bug#63995. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Mon, 27 Oct 2008 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sauron99@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Mon, 27 Oct 2008 07:12:03 GMT) Full text and rfc822 format available.

Message #121 received at 63995@bugs.debian.org (full text, mbox):

From: Sauron99@gmx.de
To: 63995@bugs.debian.org
Subject: Solution ?
Date: Mon, 27 Oct 2008 08:10:09 +0100
Hi there,
is there any solution for this bug incoming ? I mean for me personally it´s impossible to report any further, because of this spam I get through this site. 

Captcahs or Mailform´s would be great to protect us for getting spam.

Anyone working on this ?
-- 
"Feel free" - 10 GB Mailbox, 100 FreeSMS/Monat ...
Jetzt GMX TopMail testen: http://www.gmx.net/de/go/topmail




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Mon, 27 Oct 2008 18:45:02 GMT) Full text and rfc822 format available.

Message #124 received at 63995@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Sauron99@gmx.de, 63995@bugs.debian.org
Subject: Re: Bug#63995: Solution ?
Date: Mon, 27 Oct 2008 11:41:52 -0700
On Mon, 27 Oct 2008, Sauron99@gmx.de wrote:
> is there any solution for this bug incoming ? I mean for me
> personally it´s impossible to report any further, because of this
> spam I get through this site.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=63995#81
 
> Captcahs or Mailform´s would be great to protect us for getting
> spam.

Neither will protect you. Using a spam filter is the way to go. [It's
pretty trivial to get 95% accuracy with a basic SA install; with a bit
of work you can get even higher percentages.]

I have no problem with adding methods to block automated crawlers of
b.d.o via black holes and/or invalid e-mail addresses, though they're
not particularly high on my priority list. However, none of these
methods involves obfuscating or blocking access to e-mail addresses or
the site, neither of which are methods that I support, will implement,
or will accept patches for.


Don Armstrong

-- 
I'd never hurt another living thing.
But if I did...
It would be you.
 -- Chris Bishop  http://www.chrisbishop.com/her/archives/her69.html

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Sun, 22 Feb 2009 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shaulkarl@yahoo.com:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Sun, 22 Feb 2009 20:03:03 GMT) Full text and rfc822 format available.

Message #129 received at 63995@bugs.debian.org (full text, mbox):

From: shaul Karl <shaulkarl@yahoo.com>
To: 63995@bugs.debian.org
Subject: Measures to reduce the usefulness of the bts to spammers
Date: Sun, 22 Feb 2009 11:59:45 -0800 (PST)
Are you still thinking that the bts should not be modified in order to make it less useful for spammers?
Are you still not accepting patches for this purpose, nor willing to fix it yourself?

As an aside: how can one obtain the bts source?


      




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Sun, 22 Feb 2009 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Sun, 22 Feb 2009 20:27:04 GMT) Full text and rfc822 format available.

Message #134 received at 63995@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: shaulkarl@yahoo.com, 63995@bugs.debian.org
Cc: owner@bugs.debian.org
Subject: Re: Bug#63995: Measures to reduce the usefulness of the bts to spammers
Date: Sun, 22 Feb 2009 12:25:43 -0800
On Sun, 22 Feb 2009, shaul Karl wrote:
> Are you still thinking that the bts should not be modified in order
> to make it less useful for spammers? Are you still not accepting
> patches for this purpose, nor willing to fix it yourself?

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=63995#124

What I say there is still the case.

> As an aside: how can one obtain the bts source?

See http://wiki.debian.org/Teams/Debbugs


Don Armstrong

-- 
                    EQUAL RIGHTS FOR WOMEN
Don't be teased or humiliated. See their look of surprise when you
step right up to a urinal and use it with a smile. Get Dr. Mary Evers'
EQUAL-NOW Adapter (pat. appld. for) -- purse size, fool proof,
sanitary -- comes in nine lovely, feminine, psychedelic patterns --
requires no fitting, no prescriptions.
 -- Robert A Heinlein _I Will Fear No Evil_ p470.

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Wed, 17 Jun 2009 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to No No <junk6000@rocketmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Wed, 17 Jun 2009 02:51:03 GMT) Full text and rfc822 format available.

Message #139 received at 63995@bugs.debian.org (full text, mbox):

From: No No <junk6000@rocketmail.com>
To: 63995@bugs.debian.org
Subject: There should at least be some warning your email will be publicly visible
Date: Tue, 16 Jun 2009 19:48:18 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Hi there,

So I see this bug report doesn't seem to be going anywhere. Can I suggest that at least it is made clear to someone posting a bug that the email address they use to do so will be publicly distributed? I posted my first bug recently and there was no indication that this would be the case.

Jem.


      Need a Holiday? Win a $10,000 Holiday of your choice. Enter now.http://us.lrd.yahoo.com/_ylc=X3oDMTJxN2x2ZmNpBF9zAzIwMjM2MTY2MTMEdG1fZG1lY2gDVGV4dCBMaW5rBHRtX2xuawNVMTEwMzk3NwR0bV9uZXQDWWFob28hBHRtX3BvcwN0YWdsaW5lBHRtX3BwdHkDYXVueg--/SIG=14600t3ni/**http%3A//au.rd.yahoo.com/mail/tagline/creativeholidays/*http%3A//au.docs.yahoo.com/homepageset/%3Fp1=other%26p2=au%26p3=mailtagline
[Message part 2 (text/html, inline)]

Bug No longer marked as found in versions 2.3. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 26 Jul 2010 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Sat, 31 Jul 2010 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Donovan <hikerman2005-jfslijrl534590jfjswm@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Sat, 31 Jul 2010 18:15:04 GMT) Full text and rfc822 format available.

Message #146 received at 63995@bugs.debian.org (full text, mbox):

From: Rob Donovan <hikerman2005-jfslijrl534590jfjswm@yahoo.com>
To: 63995@bugs.debian.org
Subject: obfuscation
Date: Sat, 31 Jul 2010 11:14:08 -0700
> The solution (namely, turning @ into <!-- blah -->&#64<!-- blah --> is
> a needless obfuscation that isn't going to actually net us anything.

This sounds like a plausible argument, but it hasn't been my recent experience.
I submitted my 1st Debian bug on 7/29/10 at 3.51pm and got my first spam email on 
the address used on 7/30/10 at 5.20pm, less than 26 hours later.  Compare that to
the Cygwin mailing list where I submitted a bug on 4/27/10 and where the address 
used has, as far as I can remember, yet to receive any spam.  Cygwin uses a simple 
@ -> at and . -> dot obfuscation method.

I think it very likely that Debian is losing bug reports because of this issue.  I 
nearly balked myself, and I can assure you that I only went ahead because the Yahoo Plus 
mail account (that I pay for) lets me generate disposable addresses.  Not everyone has 
this capability.  Given that spam filters are not perfect I think many people are still
inclined not to knowingly invite spam by posting non-disposable addresses on the web.

While I agree that my recent experience is a sample of two, and so not exactly solid 
scientific evidence, I do think some sort of simple, yet novel, obfuscation method would 
be likely to help.

Since it is now attracting spam I'll now disable the disposable address used for my Debian 
bug report and this comment.  I guess that means that I will now become uncontactable 
via my bug report... which ironically is, I gather, exactly what you are trying to avoid 
by posting email addresses in the first place.  My Cygwin address, meanwhile, is still active...











Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Mon, 01 Nov 2010 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Nickurak <debian-bugs@trk.nickurak.ca>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Mon, 01 Nov 2010 23:39:06 GMT) Full text and rfc822 format available.

Message #151 received at 63995@bugs.debian.org (full text, mbox):

From: Jeremy Nickurak <debian-bugs@trk.nickurak.ca>
To: 63995@bugs.debian.org
Date: Mon, 1 Nov 2010 17:35:16 -0600
[Message part 1 (text/plain, inline)]
Launchpad handles this nicely, in my experience.

You register for an account, and that account has an email address (or
multiple email addresses) associated with it.

Bug reports do not inclued the email address of your account.

In order to see someone's email address via the web you (at a minimum) must
be logged into your account.

Normally, bugs are viewed/edited/posted via a rich and expressive web
interface, however, if you really want to make modifications via email, you
can do so, as long as you send the email from an address on your account.
Launchpad then performs the corresponding action, stripping your email out
of the spam-harvester-viewable record.

Best-of-all-possible-worlds, as far as I can tell.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Wed, 01 Dec 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Faraone <lfaraone@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Wed, 01 Dec 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #156 received at 63995@bugs.debian.org (full text, mbox):

From: Luke Faraone <lfaraone@debian.org>
To: Jeremy Nickurak <debian-bugs@trk.nickurak.ca>
Cc: 63995@bugs.debian.org
Subject: Re:
Date: Wed, 01 Dec 2010 16:20:50 -0500
[Message part 1 (text/plain, inline)]
On 01/-10/-28163 02:59 PM, Jeremy Nickurak wrote:
> You register for an account, and that account has an email address (or
> multiple email addresses) associated with it.

The BTS will not require registration.

> Normally, bugs are viewed/edited/posted via a rich and expressive web
> interface, however, if you really want to make modifications via email, you
> can do so, as long as you send the email from an address on your account.
> Launchpad then performs the corresponding action, stripping your email out
> of the spam-harvester-viewable record.

Email is the sole means of manipulating bugs via the BTS.

Since you mentioned Launchpad, you should also note that the full volume
of bug mail for Ubuntu is published in mbox format, see
http://people.canonical.com/~listarchive/ubuntu-bugs/2010-12 for
example. This includes submitter email addresses.

-- 
╒═════════════════════════════════════════════════════════════════╕
│Luke Faraone                          ╭Debian / Ubuntu Developer╮│
│http://luke.faraone.cc                ╰Sugar Labs, Systems Admin╯│
│PGP: 5189 2A7D 16D0 49BB 046B  DC77 9732 5DD8 F9FD D506          │
╘═════════════════════════════════════════════════════════════════╛

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#63995; Package bugs.debian.org. (Thu, 20 Jan 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Linuxjerks Begone <linuxjerksbegone@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 20 Jan 2011 15:39:03 GMT) Full text and rfc822 format available.


Message #161 received at 63995@bugs.debian.org (full text, mbox):

From: Linuxjerks Begone <linuxjerksbegone@yahoo.com>
To: 63995@bugs.debian.org
Date: Thu, 20 Jan 2011 07:34:13 -0800 (PST)
I've downloaded the mbox archive for 2010-12. Although my Launchpad username 
appears in the archive, my e-mail doesn't -- as expected. Even if it did, the 
less an e-mail is broadcast on the web, the better (spam-wise).

Unfortunately large areas of open-source projects (like Debian, Ubuntu) have 
been taken over by jerks. Jerks who block change simply because they can impose 
misery on others. Jerks who abuse "wontfix". Jerks who fork a debian package 
from upstream and then abandon it. Jerks who reject perfectly sound arguments. 
Jerks who refuse to accept bugs in the components they control and send users 
elsewhere to complain.

I think the solution will have to come from outside. We need something like a 
petition-type website to expose (and shame!) retrograde developers/maintainers 
and allow users to vote them off Debian, Ubuntu, Wikipedia etc. These people are 
on an ego-trip, so unfortunately it won't be easy...


      




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:50:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.